## org.eclipse.emf.ecore.change
Interface ChangeFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  ChangeFactoryImpl

    public interface ChangeFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ChangePackage`

Field Summary
`static ChangeFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`ChangeDescription` `createChangeDescription()` Returns a new object of class 'Description'
`java.util.Map.Entry<EObject,EList<FeatureChange>>` `createEObjectToChangesMapEntry(EObject eObject)`
`FeatureChange` `createFeatureChange()` Returns a new object of class 'Feature Change'
`FeatureChange` `createFeatureChange(EStructuralFeature feature, java.lang.Object oldValue, boolean oldIsSet)`
`FeatureMapEntry` `createFeatureMapEntry()` Returns a new object of class 'Feature Map Entry'
`FeatureMapEntry` `createFeatureMapEntry(EStructuralFeature feature, java.lang.Object value)`
`ListChange` `createListChange()` Returns a new object of class 'List Change'
`ResourceChange` `createResourceChange()` Returns a new object of class 'Resource Change'
`ResourceChange` `createResourceChange(Resource resource, EList<java.lang.Object> oldValue)`
`ChangePackage` `getChangePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final ChangeFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createChangeDescription

    ChangeDescription createChangeDescription()

  Returns a new object of class 'Description'.

  Returns:
    a new object of class 'Description'.

### createFeatureChange

    FeatureChange createFeatureChange()

  Returns a new object of class 'Feature Change'.

  Returns:
    a new object of class 'Feature Change'.

### createFeatureChange

    FeatureChange createFeatureChange(EStructuralFeature feature,
                                      java.lang.Object oldValue,
                                      boolean oldIsSet)

### createListChange

    ListChange createListChange()

  Returns a new object of class 'List Change'.

  Returns:
    a new object of class 'List Change'.

### createResourceChange

    ResourceChange createResourceChange()

  Returns a new object of class 'Resource Change'.

  Returns:
    a new object of class 'Resource Change'.

### createResourceChange

    ResourceChange createResourceChange(Resource resource,
                                        EList<java.lang.Object> oldValue)

### createFeatureMapEntry

    FeatureMapEntry createFeatureMapEntry()

  Returns a new object of class 'Feature Map Entry'.

  Returns:
    a new object of class 'Feature Map Entry'.

### createFeatureMapEntry

    FeatureMapEntry createFeatureMapEntry(EStructuralFeature feature,
                                          java.lang.Object value)

### getChangePackage

    ChangePackage getChangePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

### createEObjectToChangesMapEntry

    java.util.Map.Entry<EObject,EList<FeatureChange>> createEObjectToChangesMapEntry(EObject eObject)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.